Package org.apache.tools.ant.attribute

# Class IfSetAttribute.Unless

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.attribute.BaseIfAttribute
org.apache.tools.ant.attribute.IfSetAttribute
org.apache.tools.ant.attribute.IfSetAttribute.Unless

All Implemented Interfaces:
  `java.lang.Cloneable`, `EnableAttribute`

Enclosing class:
  IfSetAttribute

    public static class IfSetAttribute.Unless
    extends IfSetAttribute

The unless version

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.tools.ant.attribute.IfSetAttribute

  `IfSetAttribute.Unless`

- ## Field Summary

  ### Fields inherited from class org.apache.tools.ant.ProjectComponent

  `description, location, project`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Unless()` |

- ## Method Summary

  ### Methods inherited from class org.apache.tools.ant.attribute.IfSetAttribute

  `isEnabled`

  ### Methods inherited from class org.apache.tools.ant.attribute.BaseIfAttribute

  `convertResult, getParams, isPositive, setPositive`

  ### Methods inherited from class org.apache.tools.ant.ProjectComponent

  `clone, getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Unless

    public Unless()